parameters:
    app.path.upload_home: /upload/home
    app.path.upload_news: /upload/news
    app.path.upload_deal: /upload/deal
    app.path.upload_avatar: /upload/avatar
    app.path.upload_contact: /upload/contact

vich_uploader:
    db_driver: orm
    mappings:
        home_upload:
            uri_prefix: '%app.path.upload_home%'
            upload_destination: '%kernel.project_dir%/public/upload/home'
            inject_on_load:     true
            # Les propriétés delete_on_update et delete_on_remove prennent en charge la suppression de l'image
            # dans le cas d'un changement d'image à l'update l'ancienne image est supprimée.
            delete_on_update:   true
            delete_on_remove:   true 
            # Vichuploader prend en charge le renommage automatique avec namer
            namer: vich_uploader.namer_origname

        news_upload:
            uri_prefix: '%app.path.upload_news%'
            upload_destination: '%kernel.project_dir%/public/upload/news'
            inject_on_load:     true
            # Les propriétés delete_on_update et delete_on_remove prennent en charge la suppression de l'image
            # dans le cas d'un changement d'image à l'update l'ancienne image est supprimée.
            delete_on_update:   true
            delete_on_remove:   true 
            # Vichuploader prend en charge le renommage automatique avec namer
            namer: vich_uploader.namer_origname

        deal_upload:
            uri_prefix: '%app.path.upload_deal%'
            upload_destination: '%kernel.project_dir%/public/upload/deal'
            inject_on_load:     true
            # Les propriétés delete_on_update et delete_on_remove prennent en charge la suppression de l'image
            # dans le cas d'un changement d'image à l'update l'ancienne image est supprimée.
            delete_on_update:   true
            delete_on_remove:   true 
            # Vichuploader prend en charge le renommage automatique avec namer
            namer: vich_uploader.namer_origname

        avatar_upload:
            uri_prefix: '%app.path.upload_avatar%'
            upload_destination: '%kernel.project_dir%/public/upload/avatar'
            inject_on_load:     true
            # Les propriétés delete_on_update et delete_on_remove prennent en charge la suppression de l'image
            # dans le cas d'un changement d'image à l'update l'ancienne image est supprimée.
            delete_on_update:   true
            delete_on_remove:   true 
            # Vichuploader prend en charge le renommage automatique avec namer
            namer: vich_uploader.namer_origname

        contact_upload:
            uri_prefix: '%app.path.upload_contact%'
            upload_destination: '%kernel.project_dir%/public/upload/contact'
            inject_on_load:     true
            # Les propriétés delete_on_update et delete_on_remove prennent en charge la suppression de l'image
            # dans le cas d'un changement d'image à l'update l'ancienne image est supprimée.
            delete_on_update:   true
            delete_on_remove:   true 
            # Vichuploader prend en charge le renommage automatique avec namer
            namer: vich_uploader.namer_origname
